RubyGems Navigation menu

github-linguist 7.24.1

We use this library at GitHub to detect blob languages, highlight code, ignore binary files, suppress generated files in diffs, and generate language breakdown graphs.

Versions:

  1. 7.24.1 - November 28, 2022 (2.75 MB)
  2. 7.24.0 - November 15, 2022 (2.75 MB)
  3. 7.23.0 - September 05, 2022 (2.67 MB)
  4. 7.22.1 - July 22, 2022 (2.65 MB)
  5. 7.22.0 - July 13, 2022 (2.65 MB)
Show all versions (193 total)

Runtime Dependencies (4):

cgi >= 0
charlock_holmes ~> 0.7.7
mini_mime ~> 1.0
rugged ~> 1.0

Development Dependencies (10):

bundler ~> 2.0
licensed ~> 2.0
licensee ~> 9.15
minitest ~> 5.15
mocha ~> 1.3
plist ~> 3.1
pry ~> 0.14
rake ~> 13.0
rake-compiler ~> 0.9
yajl-ruby ~> 1.4

Owners:

Pushed by:

Authors:

  • GitHub

SHA 256 checksum:

8528f447a5f555f6ed3047463e90a216a6481c44e4cd146163f224a7171eb212

Total downloads 14,844,940

For this version 27,079

Gemfile:
= Copy to clipboard Copied!

install:
=

License:

MIT

Required Ruby Version: >= 0

Links: